{% gtm product_impression: product %}

{% assign image_urls = product.images | map: 'url' | uniq %}
{% assign class_sold_out = '' %}

{% unless product.available %}
  {% assign class_sold_out = 'sold-out' %}
{% endunless %}

{% assign img_limit = 2 %}
{% if mobile %}
  {% assign img_limit = 1 %}
{% endif %}

{% if product.discount_rule != null and product.discount_rule.type == 'percentage' %}
  {% assign discount_amount = product.discount_rule.amount %}
{% endif %}

<div class="product-block -group-shop-block {{ class_sold_out }}"
  data-product-box="{{ product.id }}"
  data-quickview-type="group-shop"
  data-prod-group-shop
  data-prod-ref="{{ product.reference }}"
  data-price="{{ product.price }}"
  data-sale-price="{{ product.sale_price }}"
  data-available="{{ product.available }}"
  data-discount-percent="{{ discount_amount | default: 0 }}"  
>
  {% if showDelete %}  
    <button aria-label="Adicionar ou remover produto do compre junto" class="add-to-group">
      <svg width="12" height="12" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M10.4773 3.43628L4.82044 9.09313L1.84315 6.11584" stroke="currentColor" stroke-width="2" stroke-linecap="round"/>
      </svg>
    </button>
  {% endif %}

  <div class="images">
    <a aria-label="Ir para o produto {{ product.name }}" href="{{ product.url }}">
      {% if image_urls.size > 0 %}
        <figure class="image -square">
          {% for image in image_urls limit: img_limit %}
           {% capture data_srcset %}
            {{ image | resize: '290x' }}
            375w,
            {{ image | resize: '330x' }}
            425w,
            {{ image | resize: '610x' }}
            767w,
            {{ image | resize: '540x' }}
            991w,
            {{ image | resize: '345x' }}
            1280w,
            {{ image | resize: '380x' }}
            1400w,
            {{ image | resize: '425x' }}
            1500w
          {% endcapture %}

          {% capture data_sizes %}
            (max-width: 375px) 375px,
            (max-width: 425px) 425px,
            (max-width: 767px) 767px,
            (max-width: 991px) 991px,
            (max-width: 1280px) 1280px,
            (max-width: 1400px) 1400px,
            (min-width: 1500px) 1500px,
          {% endcapture %}

            <img class="lazy" loading="lazy" data-srcset="{{ data_srcset | strip_newlines | strip }}" data-sizes="{{ data_sizes | strip_newlines | strip }}" alt="Foto do produto {{ product.name }}"/>
          {% endfor %}
        </figure>
      {% else %}
        <figure class="image -square">
          <img class="lazy" loading="lazy" data-src="{{ 'placeholder.png' | image_path }}" alt="{{ product.name }}" title="Foto do produto {{ product.name }}" />
        </figure>
      {% endif %}
      
      {% render 'partials/components/flag', product: product %}
    </a>
  </div>

  <div class="description">
    <h3 class="name">
      <a aria-label="Ir para o produto {{ product.name }}" href="{{ product.url }}">
        {{ product.name }}
      </a>
    </h3>

    {% capture price_settings %}
      {
        "productId": {{ product.id }},
        "showInstallmentsWithoutInterest": true,
        "showInstallmentsWithInterest": false, 
        "mode": "medium",
        "htmlTag": "p"
      }
    {% endcapture %}

    <div class="price-wrapper">
      <div 
        class="product-price price {% if discount_amount %} -discount {% endif %}" 
        data-was-processed="false" 
        data-sku="" 
        data-init-price='{{ price_settings }}'
        data-price="{{ product.price }}"
        data-discount-percent="{{ discount_amount | default: 0 }}"  
      ></div>
    </div>
  </div>
</div>

